package com.cxzx.taide;

import com.cxzx.config.KafkaConfig;
import lombok.Cleanup;
import org.apache.kafka.clients.producer.KafkaProducer;
import org.apache.kafka.clients.producer.ProducerRecord;

import java.util.Date;

import static com.cxzx.db.Tidb.articleData;

public class PushTestData {
    public static void main(String[] args) {
        @Cleanup
        var producer = new KafkaProducer<String, String>(KafkaConfig.getKafkaProducerProperties());
        for (String data : articleData(1000)) {
            producer.send(new ProducerRecord<>("article_test", 0, new Date().getTime(), "", data));
        }
    }
}
